/*
	Distributed Directory Server (DDirServ) by Catid@pacbell.net
*/

#include "sslib.h"
#include "md5.h"

#include <windows.h>
#include <conio.h>

directoryServer * dserv;
static directorySettings ds;

void addZone(serverEntry * se)
{
	dserv->zlist.updateZone(se->ip,
							se->port,
							se->population,
							se->scoring,
							se->version, 
							se->name,
							se->comment);
}

clusterMessage * getZoneList(Uint32 min)
{
	return dserv->makeZoneList(min);
}

void main()
{
	beginWinsock();

	dserv = new directoryServer;

	printf("Distributed Directory Server (Build 4)\n\n");

	while (!kbhit())
	{
		dserv->doEvents();

		Sleep(ds.IterationSleepTime);
	}

	delete dserv;

	endWinsock();
}
